
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>获取SQL Server数据库元数据的几种方法 / iVAN</title>

    <meta name="description" content="获取SQL Server数据库元数据的几种方法 元数据简介 元数据 (metadata) 最常见的定义为&quot;有关数据的结构数据&quot;,或者再简单一点就是&quot;关于数据的信息&quot;,日常生活中的图例.图书馆目录卡和名片等都可以看作是元数据.在关系型数据库管理系统 (DBMS) 中,元数据描述了数据的结构和意义.比如在管理.维护 SQL Server 或者是开发数据库应用程序的时候,我们经常要获取一些涉及到数据库架构的信息: ◆某个数据库中的表和视图的个数以及名称: ◆某个表或者视图中列的个数以及每一列的名称.数据类型. ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">获取SQL Server数据库元数据的几种方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>元数据简介</p>
<p>元数据 (metadata) 最常见的定义为“有关数据的结构数据”，或者再简单一点就是“关于数据的信息”，日常生活中的图例、图书馆目录卡和名片等都可以看作是元数据。在关系型数据库管理系统 (DBMS) 中，元数据描述了数据的结构和意义。比如在管理、维护 SQL Server 或者是开发数据库应用程序的时候，我们经常要获取一些涉及到数据库架构的信息：</p>
<p>◆某个数据库中的表和视图的个数以及名称；<br /> ◆某个表或者视图中列的个数以及每一列的名称、数据类型、长度、精度、描述等；<br /> ◆某个表上定义的约束；<br /> ◆某个表上定义的索引以及主键/外键的信息。</p>
<p>下面我们将介绍几种获取元数据的方法。</p>
<p>获取元数据</p>
<p>使用系统存储过程与系统函数访问元数据</p>
<p>获取元数据最常用的方法是使用 SQL Server 提供的系统存储过程与系统函数。</p>
<p>系统存储过程与系统函数在系统表和元数据之间提供了一个抽象层，使得我们不用直接查询系统表就能获得当前数据库对象的元数据。</p>
<p>常用的与元数据有关的系统存储过程有以下一些：</p>
<p>系统存储过程</p>
<p>◆sp_columns 返回指定表或视图的列的详细信息。<br /> ◆sp_databases 返回当前服务器上的所有数据库的基本信息。<br /> ◆sp_fkeys 若参数为带有主键的表，则返回包含指向该表的外键的所有表；若参数为带有外键的表名，则返回所有同过主键/外键关系与该外键相关联的所有表。<br /> ◆sp_pkeys 返回指定表的主键信息。<br /> ◆sp_server_info 返回当前服务器的各种特性及其对应取值。<br /> ◆sp_sproc_columns 返回指定存储过程的的输入、输出参数的信息。<br /> ◆sp_statistics 返回指定的表或索引视图上的所有索引以及统计的信息。<br /> ◆sp_stored_procedures 返回当前数据库的存储过程列表，包含系统存储过程。<br /> ◆sp_tables 返回当前数据库的所有表和视图，包含系统表。</p>
<p>常用的与元数据有关的系统函数有以下一些：</p>
<p>系统函数</p>
<p>◆COLUMNPROPERTY 返回有关列或过程参数的信息，如是否允许空值，是否为计算列等。<br /> ◆COL_LENGTH 返回指定数据库的指定属性值，如是否处于只读模式等。<br /> ◆DATABASEPROPERTYEX 返回指定数据库的指定选项或属性的当前设置，如数据库的状态、恢复模型等。<br /> ◆OBJECT_ID 返回指定数据库对象名的标识号<br /> ◆OBJECT_NAME 返回指定数据库对象标识号的对象名。<br /> ◆OBJECTPROPERTY 返回指定数据库对象标识号的有关信息，如是否为表，是否为约束等。<br /> ◆fn_listextendedproperty 返回数据库对象的扩展属性值，如对象描述、格式规则、输入掩码等。</p>
<p>由于我们无法直接利用到存储过程与函数的返回结果，因此只有在我们关心的只是查询的结果，而不需要进一步利用这些结果的时候，我们会使用系统存储过程与系统函数来查询元数据。</p>
<p>例如，如果要获得当前服务器上所有数据库的基本信息，我们可以在查询分析器里面运行：</p>
<p>EXEC sp_databases<br /> GO</p>
<p>在返回结果中我们可以看到数据库的名称、大小及备注等信息。</p>
<p>但是如果要引用这部分信息，或者存储这部分信息以供后面使用，那么我们必须借助中间表来完成这个操作：</p>
<p>CREATE TABLE #sp_result ( DATABASE_NAME sysname, DATABASE_SIZE int, REMARKS varchar(254) NULL ) GO INSERT INTO #sp_result EXEC ('sp_databases') GO<br />
<br />使用信息架构视图访问元数据</p>
<p>信息架构视图基于 SQL-92 标准中针对架构视图的定义，这些视图独立于系统表，提供了关于 SQL Server 元数据的内部视图。信息架构视图的最大优点是，即使我们对系统表进行了重要的修改，应用程序也可以正常地使用这些视图进行访问。因此对于应用程序来说，只要是符合 SQL-92 标准的数据库系统，使用信息架构视图总是可以正常工作的。</p>
<p>信息架构视图</p>
<p>◆INFORMATION_SCHEMA.CHECK_CONSTRAINTS：返回有关列或过程参数的信息，如是否允许空值，是否为计算列等。<br /> ◆INFORMATION_SCHEMA.COLUMNS：返回当前数据库中当前用户可以访问的所有列及其基本信息。<br /> ◆INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE：返回当前数据库中定义了约束的所有列及其约束名。<br /> ◆INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE：返回当前数据库中定义了约束的所有表及其约束名。<br /> ◆INFORMATION_SCHEMA.KEY_COLUMN_USAGE：返回当前数据库中作为主键/外键约束的所有列。<br /> ◆INFORMATION_SCHEMA.SCHEMATA：返回当前用户具有权限的所有数据库及其基本信息。<br /> ◆INFORMATION_SCHEMA.TABLES：返回当前用户具有权限的当前数据库中的所有表或者视图及其基本信息。<br /> ◆INFORMATION_SCHEMA.VIEWS：返回当前数据库中的当前用户可以访问的视图及其所有者、定义等信息。</p>
<p>由于这些信息架构都是以视图的方式存在的，因此我们可以很方便地获得并利用需要的信息。</p>
<p>例如，我们要得到某个表有多少列，可以使用以下语句：</p>
<p>SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS</p>
<p>WHERE TABLE_NAME='mytable'</p>
<p>使用系统表访问元数据</p>
<p>虽然使用系统存储过程、系统函数与信息架构视图已经可以为我们提供了相当丰富的元数据信息，但是对于某些特殊的元数据信息，我们仍然需要直接对系统表进行查询。因为SQL Server 将所有数据库对象的信息均存放在系统表中，作为 SQL Server 的管理、开发人员，了解各个系统表的作用将有助于我们了解 SQL Server 的内在工作原理。</p>
<p>SQL Server 的系统表非常多，其中最常用的与元数据查询有关的表有如下一些：<br /> syscolumns 存储每个表和视图中的每一列的信息以及存储过程中的每个参数的信息。<br /> syscomments 存储包含每个视图、规则、默认值、触发器、CHECK 约束、DEFAULT 约束和存储过程的原始 SQL 文本语句。<br /> sysconstraints 存储当前数据库中每一个约束的基本信息。<br /> sysdatabases 存储当前服务器上每一个数据库的基本信息。<br /> sysindexes 存储当前数据库中的每个索引的信息。<br /> sysobjects 存储数据库内的每个对象（约束、默认值、日志、规则、存储过程等）的基本信息。<br /> sysreferences 存储所有包括 FOREIGN KEY 约束的列。<br /> systypes 存储系统提供的每种数据类型和用户定义数据类型的详细信息。</p>
<p>将系统存储过程、系统函数、信息架构视图与系统表结合使用，可以方便地让我们获得所有需要的元数据信息。</p>
<p>示例：</p>
<p>1、 获得当前数据库所有用户表的名称。</p>
<p>SELECT OBJECT_NAME (id) FROM sysobjects WHERE xtype = 'U' AND OBJECTPROPERTY (id, 'IsMSShipped') = 0<br />
<br />其中主要用到了系统表 sysobjects以及其属性 xtype，还有就是用到了 OBJECTPROPERTY 系统函数来判断是不是安装 SQL Server 的过程中创建的对象。</p>
<p>2、获得指定表上所有的索引名称。</p>
<p>SELECT name FROM sysindexes<br /> WHERE id = OBJECT_ID ('mytable') AND indid &gt; 0</p>
<p>综合实例</p>
<p>下面给出了一个存储过程，它的作用是自动将当前数据库的用户存储过程加密。</p>
<p>DECLARE @sp_name nvarchar(400) DECLARE @sp_content nvarchar(2000) DECLARE @asbegin int declare @now datetime select @now = getdate() DECLARE sp_cursor CURSOR FOR SELECT object_name(id) FROM sysobjects WHERE xtype = 'P' AND type = 'P' AND crdate &lt; @now AND OBJECTPROPERTY(id, 'IsMSShipped')=0 OPEN sp_cursor FETCH NEXT FROM sp_cursor INTO @sp_name WHILE @@FETCH_STATUS = 0 BEGIN SELECT @sp_content = text FROM syscomments WHERE id = OBJECT_ID(@sp_name) SELECT @asbegin = PATINDEX ( '%AS' + char(13) + '%', @sp_content) SELECT @sp_content = SUBSTRING(@sp_content, 1, @asbegin - 1) + ' WITH ENCRYPTION AS' + SUBSTRING (@sp_content, @asbegin+2, LEN(@sp_content)) SELECT @sp_name = 'DROP PROCEDURE [' + @sp_name + ']' EXEC sp_executesql @sp_name EXEC sp_executesql @sp_content FETCH NEXT FROM sp_cursor INTO @sp_name END CLOSE sp_cursor DEALLOCATE sp_cursor<br />
<br />该存储过程利用了 sysobjects 和 syscomments 表，并巧妙地修改了原存储过程的 SQL 定义语句，将 AS 修改为了 WITH ENCRYPTION AS，从而达到了加密存储过程的目的。本存储过程在 SQL Server 2000 上通过。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 20:23:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>获取SQL Server数据库元数据的几种方法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK0D07M.html" rel="bookmark">获取SQL Server数据库元数据的几种方法&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				元数据简介 元数据 (metadata) 最常见的定义为&quot;有关数据的结构数据&quot;,或者再简单一点就是&quot;关于数据的信息&quot;,日常生活中的图例.图书馆目录卡和名片等都可以看作是元数据.在关系型数据库管理系统 (DBMS) 中,元数据描述了数据的结构和意义.比如在管理.维护 SQL Server 或者是开发数据库应用程序的时候,我们经常要获取一些涉及到数据库架构的信息: ◆某个数据库中的表和视图的个数以及名称: ◆某个表或者视图中列的个数以及每一列的名称.数据类型.长度.精度			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1kNJdz.html" rel="bookmark">配置SQL Server数据库恢复模式&lpar;2种方法&rpar;&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面主要介绍配置SQL Server数据库恢复模式的两种方法. 用T-SQL设置恢复模式你可以使用&quot;ALTER DATABASE&quot;命令加&quot;SET RECOVERY&quot;语句来修改数据库的恢复模式.例如,下面的查询语句把&quot;AdventureWorks&quot;数据库的恢复模式设置为完全恢复模式. ALTER DATABASE AdventureWorks SET RECOVERY FULL ; 你可以查询&quot;sys.databases&quot;的目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx7yamb.html" rel="bookmark">配置SQL Server数据库恢复模式&lpar;2种方法&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面主要介绍配置SQL Server数据库恢复模式的两种方法. 用T-SQL设置恢复模式 你可以使用&quot;ALTER DATABASE&quot;命令加&quot;SET RECOVERY&quot;语句来修改数据库的恢复模式.例如,下面的查询语句把&quot;AdventureWorks&quot;数据库的恢复模式设置为完全恢复模式. ALTER DATABASE AdventureWorks SET RECOVERY FULL ; 你可以查询&quot;sys.databases&quot;的目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvr33NM.html" rel="bookmark">如何获取SQL Server数据库元数据&lbrack;转&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				from : http://www.chinaz.com/Program/MSSQL/0119631c2009.html 元数据简介 元数据 (metadata) 最常见的定义为&quot;有关数据的结构数据&quot;,或者再简单一点就是&quot;关于数据的信息&quot;,日常生活中的图例.图书馆目录卡和名片等都可以看作是元数据.在关系型数据库管理系统 (DBMS) 中,元数据描述了数据的结构和意义.比如在管理.维护 SQL Server 或者是开发数据库应用程序的时候,我们经常要获取一些涉及到数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9ze9gjz.html" rel="bookmark">SQL SERVER日志清除的两种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server SQL SERVER日志清除的两种方法方法一 一般情况下,SQL数据库的收缩并不能很大程度上减小数据库大小,其主要作用是收缩日志大小,应当定期进行此操作以免数据库日志过大1.设置数据库模式为简单模式:打开SQL企业管理器,在控制台根目录中依次点开Microsoft SQL Server--&gt;SQL Server组--&gt;双击打开你的服务器--&gt;双击打开数据库目录--&gt;选择你的数据库名称(如论坛数据库Forum)--&gt;然后点击右键选择属性--&gt;选择选项--&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRN5lkM.html" rel="bookmark">SQL Server 优化存储过程的七种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SQL Server 优化存储过程的七种方法 优化存储过程有很多种方法,下面介绍最常用的7种. 1.使用SET NOCOUNT ON选项 我们使用SELECT语句时,除了返回对应的结果集外,还会返回相应的影响行数.使用SET NOCOUNT ON后,除了数据集就不会返回额外的信息了,减小网络流量. 2.使用确定的Schema 在使用表,存储过程,函数等等时,最好加上确定的Schema.这样可以使SQL Server直接找到对应目标,避免去计划缓存中搜索.而且搜索会导致编译锁定,最终影响性能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdLK9Xp.html" rel="bookmark">SQL SERVER 数据库备份的三种策略及语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.全量数据备份 备份整个数据库,恢复时恢复所有.优点是简单,缺点是数据量太大,非常耗时 全数据库备份因为容易实施,被许多系统优先采用.在一天或一周中预定的时间进行全数据库备份使你不用动什么脑筋.使用这种类型的备份带来的问题是非常缺乏灵活性,而且当数据库被冲掉后,你面临丢失大量数据的潜在威胁.例如,假设你每天在午夜备份数据库. 如果服务器在晚上11点崩溃了,你将丢失前面23个小时对数据所做的全部修改.对大多数系统来说,这是无法接受的.对此规则,为数不多的例外如下: 1.系统中所存的数据可以很容易			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQJDGM.html" rel="bookmark">导入Excel电子表格数据到SQL Sever数据库的另一种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				excel|电子表格|数据|数据库 上次给大家提供了一个从Excel电子表格导入到SQL Server数据库的方法,前提条件是机器上要装有Office 里的Excel组件.今天再为大家提供另一种方法:不需要安装Excel也可以导入到我们的SQL Server数据库.首先用SQL Server自身的数据转换功能把Excel导入到 SQL Server中,下面的示例中导入后的表名为:Sheet1$,然后我们再从这个库中把数据导入到我们自己的系统的数据表中.(这样一来就是2个SQL Server表中的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMND37z.html" rel="bookmark">Sql server数据库备份还原另一方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|备份|数据|数据库 直接拷贝数据文件把数据库的数据文件(*.mdf)和日志文件(*.ldf)都拷贝到目的服务器,在SQL Server Query Analyzer中用语句进行恢复: EXEC sp_attach_db @dbname = 'test', @filename1 = 'd:\mssql7\data\test_data.mdf', @filename2 = 'd:\mssql7\data\test_log.ldf' 这样就把test数据库附加到SQL Server中,可			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5ZZ7z.html" rel="bookmark" class="title">scanf的正则表达式总结</a>
					<div>
						scanf作为C语言的格式化输入函数,定义于stdio.h中,本文总结一下scanf与正则表达式相关的地方.(注意:假设输入中无空格,空格将做特殊说明). 1 //scanf函数原型 2 int sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjon5M.html" rel="bookmark" class="title">一个简单的php在线端口扫描器</a>
					<div>
						端口扫描|在线 前言 PHP是一种功能强大的Web开发语言.开发效率高,语法简单,为动态网站量身定做,加强面向对象(向C++靠拢,与JAVA搭了点边),可惜单线程(这是至命弱点,据说PHP是用C\C+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE879z.html" rel="bookmark" class="title">用ASP设计网站在线人数统计程序</a>
					<div>
						在浏览网页的时侯,常常可以看见一些&quot;当前网站上的人数是XXX人&quot;的在线人数同计.如何用ASP来做一个呢?首先,分析一下它的做法,一般来说,这些线上人数统计都是指一个时段内的访客人数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW6jqb.html" rel="bookmark" class="title">《互联网门外汉看网》：站长创业竞争小九九</a>
					<div>
						这是网络东北虎自编自用的未来互联网创业竞争小九九,仅供初期创业的准站长们共同交流.探讨. 任何一个网站,无论在什么时候,它都会随时面对竞争,通常情况,竞争可分为两种:现实竞争和潜在竞争.(我们只讨论以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGOqez.html" rel="bookmark" class="title">Win2000下PHP服务器安装攻略</a>
					<div>
						服务器|攻略 一.前期准备情况 Apache2(Win32) 完全模块化安装perl,php,ssl 1.一个安装好的WIN2000服务器,注意:如果你的机器上已经安装了IIS,将IIS里的所有web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8PoVp.html" rel="bookmark" class="title">SEO自我修养提升五要诀：比学赶超帮</a>
					<div>
						大家好,我是木子成舟.对于SEO的认识可能不算很深,但是做SEO这么久,感觉自己要提升的东西很多,而要提升自己,最难的就是自我的SEO修养.斯坦尼斯拉夫斯基在演员的自我修养中谈到了演员需要具备的很多能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxL6PM.html" rel="bookmark" class="title">Fireworks制作打破玻璃的动画效果</a>
					<div>
						第一次写教程,可能有的地方写的不清楚,请大家见谅.首先先看一下最终效果: 下面是具体的制作方法: 1.下载并安装滤镜插件Xenofex2到FW的Plug-in目录下(将解压出的文件复制进Plug-in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0r87z.html" rel="bookmark" class="title">Fireworks绘制精致矢量美女插画</a>
					<div>
						本例中我们用Fireworks绘制一个矢量风格的帅气美女,大家可以从中了解到Fireworks在矢量绘画方面的能力. 1.在Fireworks中用路径勾画脸部.头发的形状(如下图) 2.路径做头发上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91174M.html" rel="bookmark" class="title">asp&period;net微信公众平台开发（三） 微信消息封装及反射赋值</a>
					<div>
						上一篇已经搭建好整体框架,实现了入口的验证,   验证通过后就交给LookMsgType方法处理,LookMsgType方法主要是对微信发来的不同的消息进行分解,不同的类型交给业务逻辑层不同的方法处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6l1jz.html" rel="bookmark" class="title">利用Delphi实现支持窗体的自定义函数</a>
					<div>
						在利用Delphi发开应用时,我们可以引用大量的控件,象VCL,OCX,也可以引用开发环境中提供的大量函数,如ShowMessage,Application.MessageBox等,正是这些资源极大的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Aggmp.html" rel="bookmark" class="title">linux网络编程之socket（九） 使用select函数改进客户端&sol;服务器端程序</a>
					<div>
						一.当我们使用单进程单连接且使用readline修改后的客户端程序,去连接使用readline修改后的服务器端程序,会出 现一个有趣的现象,先来看输出: 先运行服务器端,再运行客户端, simba@u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm75L1b.html" rel="bookmark" class="title">PHP变量的定义、可变变量、变量引用、销毁方法</a>
					<div>
						 这篇文章主要介绍了PHP变量的定义.可变变量.变量引用.销毁方法,需要的朋友可以参考下  代码如下: &lt;?php $long=&quot;big_long_variable_name&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPJ5BM.html" rel="bookmark" class="title">Lua判断数据类型的方法</a>
					<div>
						  这篇文章主要介绍了Lua判断数据类型的方法,本文讲解了判断数据类型的方法和Lua脚本语言的8种基本数据类型,需要的朋友可以参考下 一.判断数据类型的方法 type(xxxx) 这个函数的返回值是s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBVWLz.html" rel="bookmark" class="title">Win7系统如何架设代理服务器？</a>
					<div>
						  1.下载网络代理软件TGate.下载后得到文件列表如下图. 2.设置端口和网速限制.在能上外网的电脑上双击TGate.exe打开主界面.设置Http协议端口和Socks协议端口,分别设置成80和4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywZx5z.html" rel="bookmark" class="title">笔记本win7系统睡眠后总是被自动唤醒怎么解决</a>
					<div>
						  1.首先点击任务栏右下角的电源图标,然后选择&quot;更多电源选项&quot;项; 2.接着在弹出来的界面中,点击窗口左侧的&quot;更改计算机睡眠时间&quot;项; 3.然后点击&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24kDVp.html" rel="bookmark" class="title">爱奇艺一分钱怎么开会员</a>
					<div>
						爱奇艺一分钱怎么开会员?使用支付宝支付1分钱即可开通爱奇艺会员或是PPS会员,会员期限为7天,相当于1分钱体验VIP会员7天也是不错的!需要注意的是本活动仅限首次使用支付宝快捷支付渠道用户享有, 每个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYBjWb.html" rel="bookmark" class="title">为了生得优，活得长，安诺优达、阿里云建了&OpenCurlyDoubleQuote;安诺云&rdquo;</a>
					<div>
						       云计算正在成为生物医学界的&quot;宠儿&quot;,越来越多的BT行业机构选择拥抱云计算,走进DT时代.2016年2月1日,中国基因组行业的知名企业安诺优达基因科技与全球领先的云计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwKZ5M.html" rel="bookmark" class="title">海量存储之十八--一致性和高可用专题</a>
					<div>
						我们已经在上面的分析中,我们已经看到observer模型在多机场景下的问题,所以,paxos模型的目标就是解决这个问题,他解决这个问题的方法就是quorum模型. 我的目标是让大家能弄明白,掌握这些复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Na1AM.html" rel="bookmark" class="title">pca-关于PCA和KPCA的特征向量的维数问题~</a>
					<div>
						问题描述 关于PCA和KPCA的特征向量的维数问题~ 想问一下PCA算出来的特征向量是和样本属性的维数一样,因为主成分是原来样本属性的线性组合,那么KPCA求出来的特征向量(利用核函数),为什么维数等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lLRxb.html" rel="bookmark" class="title">DockOne微信分享（一零三）：Kubernetes 有状态集群服务部署与管理</a>
					<div>
						本文讲的是DockOne微信分享(一零三):Kubernetes 有状态集群服务部署与管理[编者的话]本次分享将深入介绍Kubernetes如何满足有状态集群服务对容器编排系统提出的新需求,包括如何使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrqqoM.html" rel="bookmark" class="title">QT4静态编译后，编译程序总是通不过，提示&OpenCurlyDoubleQuote; error&colon; collect2&colon; ld returned 1 exit status&rdquo;</a>
					<div>
						为方便打包qt4编译的程序,我对qt4进行了静态编译. 但是接下出问题了.从此以后, 用Qt creator 编译程序的时候,经常会出现如下的错误 &quot;Collect2: ld returne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRxEvz.html" rel="bookmark" class="title">opengl-OpenGL中的ModelMatrix如何在Shader中使用</a>
					<div>
						问题描述 OpenGL中的ModelMatrix如何在Shader中使用 以下是普通的C# OpneGL代码: GL.Viewport(0, 0, glWin.Width, glWin.Height) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlldEp.html" rel="bookmark" class="title">imageview-android ViewPager制作相册遇到的问题，在线等答案！急求！！</a>
					<div>
						问题描述 android ViewPager制作相册遇到的问题,在线等答案!急求!! 小弟在做浏览相册功能的时候,用到ViewPager,左右滑动浏览,并且每张照片支持手势放大缩小(自定义的Image ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBkxlb.html" rel="bookmark" class="title">c语言-小白 求 大神 帮忙找下错误&period;实在是找不出来了</a>
					<div>
						问题描述 小白 求 大神 帮忙找下错误.实在是找不出来了 #include #include #include int main() { int m , N , i , k , k1,k2=0 , j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRa9wb.html" rel="bookmark" class="title">Java经典设计模式之七大结构型模式（附实例和详解）</a>
					<div>
						版权声明:本文为博主原创文章,转载注明出处http://blog.csdn.net/u013142781 目录(?)[+] 博主在大三的时候有上过设计模式这一门课,但是当时很多都基本没有听懂,重点是也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRqo2p.html" rel="bookmark" class="title">为什么企业不能忽视移动安全？</a>
					<div>
						当前,智能手机和平板电脑等移动设备的快速普及,越来越多的员工开始自带设备(BYOD)上班.在最近的一次调查中发现,企业员工纷纷反馈表示,移动办公让他们的工作效率得以提升,而企业主们则认为通过移动办公则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7jJRM.html" rel="bookmark" class="title">一步一步学SQL Server BI 2：SSIS进行简单的数据导入导出</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 让我们首先开始学习SSIS吧,利用SSIS把SQL Ser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg3OYb.html" rel="bookmark" class="title">安防工程投标技巧</a>
					<div>
						对于安防工程商来说,一些大型工程项目往往需要通过投标和其他友商进行竞争,才能将工程揽到手上.投标不仅仅是制作一份标书,其中还包括了很多环节和细节的处理,而且这些环节和细节往往是决定竞标能否成功的关键因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rGLgz.html" rel="bookmark" class="title">TextBox控件的Text属性代表的字符串是属于uncode编码的么？</a>
					<div>
						问题描述 TextBox控件的Text属性代表的字符串是属于uncode编码的么? 请问Visula Basic 6.0语言中TextBox控件的Text属性代表的字符串是属于uncode编码的么?怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40qZLz.html" rel="bookmark" class="title">How to install Django&amp;amp&semi;&num;182&semi;</a>
					<div>
						This document will get you up and running with Django. Install Python Being a Python Web framework,  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
